curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/events?per_page=10" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/events?per_page=10");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 1234,
"email": "foo@bar.cz",
"category": "ue",
"action": "Basket",
"label": "Basket",
"property": null,
"value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
"timestamp": "2025-03-15T14:30:00.000000Z"
}
],
"per_page": 10,
"total": 1
}
Subscribers
Get events for subscriber
Retrieve a paginated list of tracker events for a given subscriber email address, sorted by ID descending.
GET
/
subscribers
/
{email}
/
events
curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/events?per_page=10" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/events?per_page=10");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 1234,
"email": "foo@bar.cz",
"category": "ue",
"action": "Basket",
"label": "Basket",
"property": null,
"value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
"timestamp": "2025-03-15T14:30:00.000000Z"
}
],
"per_page": 10,
"total": 1
}
string
required
Subscriber’s email address.
integer
Number of results per page. Default
20, maximum 100.integer
Page number.
curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/events?per_page=10" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/events?per_page=10");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"id": 1234,
"email": "foo@bar.cz",
"category": "ue",
"action": "Basket",
"label": "Basket",
"property": null,
"value": "{\"data\":{\"data\":{\"action\":\"Basket\",\"products\":[]}}}",
"timestamp": "2025-03-15T14:30:00.000000Z"
}
],
"per_page": 10,
"total": 1
}
⌘I